Description

Hi,

Maybe this one is known already. Anyhow, maybe this idea is new :-)

I would like to replace Mantis with redmine. REdmine is currently already in use by the development organisation, for e.g new

product development. We are currently using Mantis as support channel for our internal customers.

The idea is to use redmine for everything, and give customers access to the redmine. Our internal developers are registered via a

central LDAP (Fedora).

Problem however is with access rights for our customers. What I would like to have is:

- external customers are not registered in our central LDAP but in Redmine.

- external customers only see the projects on which they are explicitly assigned

- our internal developers see all projects (we like full transparancy for our internal people :-) ).

There is currently a feature of public.. This is not enough, since this means I have to add all developers to all the projects. WHat

could help me would be something like:

- use the public checkbox per project to highlight what will really be public

- per authentication mechanism: checkmark whether this is for public (over the internet) users, or for internal users.

- for internal users: show all projects, including private projects.

Would this be possible?

History

#1 - 2010-01-12 10:27 - Gerke Stam

- Assignee set to Jean-Philippe Lang

Hello, this issue is still relevant to us. Any suggestions/ideas/improvements are welcome!

#2 - 2010-01-12 11:19 - Felix Schäfer

I think this shouldn't be too hard to get done with current redmine, and even simpler with the groups in the upcoming 0.9 release. I'll detail some of the

steps needed for 0.9 below.

Multiple authentification mechanism is already a given, i.e. you can have LDAP users alongside the standard redmine users. Regarding the

authorization to different projects, just create appropriate roles and assign the roles to the groups you can create beforehand. Say you have 2

customers A and B, you could then create a group internal for your own users, and 2 groups customer A and customer B for the users of said

customers. You can then promote the internal group to e.g. developer on every project, and the customer A group to reporter on the projects for said

customer, same for customer B. When a new user signs up in the redmine, you then wouldn't have to go through all projects and add her with the

correct role to all needed projects, but could just add her to the groups needed.

#3 - 2010-01-18 09:47 - Gerke Stam

- Status changed from New to Resolved

- Assignee deleted (Jean-Philippe Lang)

Sounds perfect, I'll give it a try.

#4 - 2010-01-18 11:53 - Felix Schäfer

Please report if this works for you. Although the proposed solution does not exactly work as described in the request, I'm tempted to close this issue
because the solution is "good" and "close" enough.

#5 - 2010-06-06 10:54 - Felix Schäfer

- Status changed from Resolved to Closed

Closing because of seemingly working solution and no additional feedback.
